For the complete documentation index, see llms.txt. This page is also available as Markdown.

Dataset Item Blocks

get

Retrieves multiple dataset item blocks.

Query parameters
datasetIdstring · uuidRequired

A UUID v4 string that identifies an entity.

datasetItemIdsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

modestring · enumOptionalDefault: semanticPossible values:
operatorstring · enumOptionalDefault: ilikePossible values:
pageNumbernumber · min: 1Optional

The page number.

Default: 1
pageSizenumber · min: 1 · max: 100Optional

The page size.

Default: 10
searchstring · min: 1Optional
Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves all dataset item blocks for the specified dataset.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
contentstring · max: 1500Required

The content stored in the dataset item block.

datasetItemIdstring · uuidRequired

The dataset item ID associated with the block.

namestring · min: 3 · max: 50Required

The display name of the dataset item block.

get/api/v1/dataset-item-blocks
GET /api/v1/dataset-item-blocks?datasetId=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Accept: */*
[
  {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "content": "text",
    "datasetItemId": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text"
  }
]

Last updated